Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMaskPoints Class Reference

`#include <vtkMaskPoints.h>`

Inheritance diagram for vtkMaskPoints:

[legend]
Collaboration diagram for vtkMaskPoints:

[legend]
List of all members.

## Detailed Description

selectively filter points

Date:
  2002/01/22 15:29:29

Revision:
  1.44

vtkMaskPoints is a filter that passes through points and point attributes from input dataset. (Other geometry is not passed through.) It is possible to mask every nth point, and to specify an initial offset to begin masking from. A special random mode feature enables random selection of points. The filter can also generate vertices (topological primitives) as well as points. This is useful because vertices are rendered while points are not.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (66%)
  - Martin, Ken (21%)
  - Henderson, Amy (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkMaskPoints.h)`
  - .`cxx` (`/Graphics/vtkMaskPoints.cxx)`

Examples:
  vtkMaskPoints (Examples)

Tests:
  vtkMaskPoints (Tests)

Definition at line 54 of file vtkMaskPoints.h.

## Public Types
typedef vtkDataSetToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetOnRatio (int)
virtual int | GetOnRatio ()
virtual void | SetMaximumNumberOfPoints (vtkIdType)
virtual vtkIdType | GetMaximumNumberOfPoints ()
virtual void | SetOffset (vtkIdType)
virtual vtkIdType | GetOffset ()
virtual void | SetRandomMode (int)
virtual int | GetRandomMode ()
virtual void | RandomModeOn ()
virtual void | RandomModeOff ()
virtual void | SetGenerateVertices (int)
virtual int | GetGenerateVertices ()
virtual void | GenerateVerticesOn ()
virtual void | GenerateVerticesOff ()
## Static Public Methods
vtkMaskPoints * | New ()
int | IsTypeOf (const char *type)
vtkMaskPoints * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMaskPoints ()
| ~vtkMaskPoints ()
void | Execute ()
## Protected Attributes
int | OnRatio
vtkIdType | Offset
int | RandomMode
vtkIdType | MaximumNumberOfPoints
int | GenerateVertices

## Member Typedef Documentation

typedef vtkDataSetToPolyDataFilter vtkMaskPoints::Superclass

| Reimplemented from vtkDataSetToPolyDataFilter. Definition at line 58 of file vtkMaskPoints.h.

## Constructor & Destructor Documentation

vtkMaskPoints::vtkMaskPoints | ( |  | ) | `[protected]`

vtkMaskPoints::~vtkMaskPoints | ( |  | ) | `[inline, protected]`

| Definition at line 99 of file vtkMaskPoints.h.

## Member Function Documentation

vtkMaskPoints* vtkMaskPoints::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkMaskPoints::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToPolyDataFilter.

int vtkMaskPoints::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

virtual int vtkMaskPoints::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

vtkMaskPoints* vtkMaskPoints::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToPolyDataFilter.

void vtkMaskPoints::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToPolyDataFilter.

virtual void vtkMaskPoints::SetOnRatio | ( | int |  | ) | `[virtual]`

| Turn on every nth point.

virtual int vtkMaskPoints::GetOnRatio | ( |  | ) | `[virtual]`

| Turn on every nth point.

virtual void vtkMaskPoints::SetMaximumNumberOfPoints | ( | vtkIdType |  | ) | `[virtual]`

| Limit the number of points that can be passed through.

virtual vtkIdType vtkMaskPoints::GetMaximumNumberOfPoints | ( |  | ) | `[virtual]`

| Limit the number of points that can be passed through.

virtual void vtkMaskPoints::SetOffset | ( | vtkIdType |  | ) | `[virtual]`

| Start with this point.

virtual vtkIdType vtkMaskPoints::GetOffset | ( |  | ) | `[virtual]`

| Start with this point.

virtual void vtkMaskPoints::SetRandomMode | ( | int |  | ) | `[virtual]`

| Special flag causes randomization of point selection. If this mode is on, statistically every nth point (i.e., OnRatio) will be displayed.

virtual int vtkMaskPoints::GetRandomMode | ( |  | ) | `[virtual]`

| Special flag causes randomization of point selection. If this mode is on, statistically every nth point (i.e., OnRatio) will be displayed.

virtual void vtkMaskPoints::RandomModeOn | ( |  | ) | `[virtual]`

| Special flag causes randomization of point selection. If this mode is on, statistically every nth point (i.e., OnRatio) will be displayed.

virtual void vtkMaskPoints::RandomModeOff | ( |  | ) | `[virtual]`

| Special flag causes randomization of point selection. If this mode is on, statistically every nth point (i.e., OnRatio) will be displayed.

virtual void vtkMaskPoints::SetGenerateVertices | ( | int |  | ) | `[virtual]`

| Generate output polydata vertices as well as points. A useful convenience method because vertices are drawn (they are topology) while points are not (they are geometry). By default this method is off.

virtual int vtkMaskPoints::GetGenerateVertices | ( |  | ) | `[virtual]`

| Generate output polydata vertices as well as points. A useful convenience method because vertices are drawn (they are topology) while points are not (they are geometry). By default this method is off.

virtual void vtkMaskPoints::GenerateVerticesOn | ( |  | ) | `[virtual]`

| Generate output polydata vertices as well as points. A useful convenience method because vertices are drawn (they are topology) while points are not (they are geometry). By default this method is off.

virtual void vtkMaskPoints::GenerateVerticesOff | ( |  | ) | `[virtual]`

| Generate output polydata vertices as well as points. A useful convenience method because vertices are drawn (they are topology) while points are not (they are geometry). By default this method is off.

void vtkMaskPoints::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkMaskPoints::OnRatio`[protected]`

| Definition at line 103 of file vtkMaskPoints.h.

vtkIdType vtkMaskPoints::Offset`[protected]`

| Definition at line 104 of file vtkMaskPoints.h.

int vtkMaskPoints::RandomMode`[protected]`

| Definition at line 105 of file vtkMaskPoints.h.

vtkIdType vtkMaskPoints::MaximumNumberOfPoints`[protected]`

| Definition at line 106 of file vtkMaskPoints.h.

int vtkMaskPoints::GenerateVertices`[protected]`

| Definition at line 107 of file vtkMaskPoints.h.

The documentation for this class was generated from the following file:

- Graphics/vtkMaskPoints.h